#ifndef _CP_STRING_H
#define _CP_STRING_H

#include "common.h"

__BEGIN_DECLS

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

typedef struct _cp_string
{
	int size; /* size allocated */
	int len;
	char *data;
} cp_string;

cp_string *cp_string_create(char *data, int len);
void cp_string_delete(cp_string *str);
cp_string *cp_string_cstrcpy(char *cstr);
cp_string *cp_string_cpy(cp_string *src);
cp_string *cp_string_cat(cp_string *str, cp_string *appendum);
cp_string *cp_string_cat_bin(cp_string *str, char *bin, int len);
cp_string *cp_string_cstrcat(cp_string *str, char *cstr);
int cp_string_cmp(cp_string *s1, cp_string *s2);
char *cp_string_tocstr(cp_string *str);

__END_DECLS

#endif

